using System;

namespace Zadatak_1
{
    class Nesusedni
    {
        static void Main()
        {
            //Korak 1 - ucitavanje podataka

            string slova = Console.ReadLine();
            string[] brojevi = Console.ReadLine().Split();
            char c1 = slova[0];
            char c2 = slova[1];
            int a1 = int.Parse(brojevi[0]);
            int a2 = int.Parse(brojevi[1]);

            //Korak 2 - proverava da li je moguce napraviti string

            if (Math.Abs(a1 - a2) > 1) {
                Console.WriteLine("nemoguce");
            }

            //Korak 2 - pise string ako su a1 == a2

            else if (a1 == a2) {
                int n = a1 * 2;
                char[] izlaz = new char[n];
                for(int i = 0; i <= a1 / 2 + a1 % 2; i += 2) {
                    izlaz[i] = c1;
                    izlaz[n - 1 - i] = c2;

                    izlaz[i + 1] = c2;
                    izlaz[n - 2 - i] = c1;
                }
                Console.WriteLine(izlaz);
            }

            //Korak 3 - pise string za a1 != a2

            else if (a1 > a2) {
                int n = a2 * 2 + 1;
                char[] izlaz = new char[n];
                for (int i = 0; i <= a2 / 2 + a2 % 2; i += 2) {
                    izlaz[i] = c1;
                    izlaz[n - 2 - i] = c2;

                    izlaz[i + 1] = c2;
                    izlaz[n - 3 - i] = c1;
                }
                izlaz[n - 1] = c1;
                Console.WriteLine(izlaz);
            }

            else {
                int n = a1 * 2 + 1;
                char[] izlaz = new char[n];
                for (int i = 0; i <= a1 / 2 + a1 % 2; i += 2) {
                    izlaz[i] = c2;
                    izlaz[n - 2 - i] = c1;

                    izlaz[i + 1] = c1;
                    izlaz[n - 3 - i] = c2;
                }
                izlaz[n - 1] = c2;
                Console.WriteLine(izlaz);
            }
        }
    }
}